APIリファレンスConnect 会員名刺

Connect 会員名刺

外部会員の名刺を編集・公開する。下書きの保存と公開は別の操作

GET/v1/connect/members/{externalId}/business-card

会員の名刺の下書き・公開状態を参照する

パスの値

  • externalIdstring必須

    200文字まで

返る項目data の中身 · 200

  • idstring
  • statusenum
    draftpublishedunpublishedarchived
  • namestring | null

    表示する氏名

  • jobTitlestring | null
  • departmentstring | null
  • emailstring | null
  • phonestring | null
  • biostring | null

    自己紹介

  • imagestring | null

    顔写真のURL

  • linksobject[]

    公開するリンク(並び順どおり)

    中の項目 3
    • labelstring
    • urlstring
    • typeenum
      websitesocialemailphoneother
  • visibleFieldsenum[]

    名刺に表示する項目。テンプレートが付いているときはテンプレートの設定が優先されます

  • pageIdstring

    公開URLの末尾

  • publicUrlstring | null

    公開ページのURL。status が published のときだけ開けます

  • publishedAtstring | null
  • createdAtstring
  • updatedAtstring
  • versioninteger
  • publicHandlestring | null

起こりうるエラー共通のエラー

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

  • 404not_found

    対象がない、またはこのワークスペースのものではない

GET/v1/…/members/{externalId}/business-card
curl https://tooon.app/api/v1/connect/members/member-0001/business-card \
  -H "Authorization: Bearer $TOOON_API_KEY"
レスポンス
{
  "data": {
    "id": "clx8k2m0a0001",
    "status": "draft",
    "name": "山田 太郎",
    "jobTitle": "…",
    "department": "…",
    "email": "…",
    "phone": "…",
    "bio": "…",
    "image": "…",
    "links": [
      {
        "label": "…",
        "url": "https://tooon.app/…",
        "type": "website"
      }
    ],
    "visibleFields": [
      "name"
    ],
    "pageId": "clx8k2m0a0001",
    "publicUrl": "https://tooon.app/…",
    "publishedAt": "2026-11-01T09:00:00.000Z",
    "createdAt": "2026-11-01T09:00:00.000Z",
    "updatedAt": "2026-11-01T09:00:00.000Z",
    "version": 0,
    "publicHandle": "taro"
  }
}
GET/v1/connect/cards/{publicHandle}/public

公開IDから公開中の名刺URLを参照する

このサービスの有効な会員が公開中の名刺だけを返します。下書きや内部の会員IDは返しません。公開URLを取得した後も、閲覧時には公開状態を確認してください。

パスの値

  • publicHandlestring必須

    英小文字・数字・ハイフン。先頭と末尾は英数字。大文字は小文字に変換します

    3〜30文字

返る項目data の中身 · 200

  • publicHandlestring
  • pageIdstring
  • publicUrlstring

起こりうるエラー共通のエラー

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

  • 404not_found

    対象がない、またはこのワークスペースのものではない

GET/v1/…/cards/{publicHandle}/public
curl https://tooon.app/api/v1/connect/cards/taro/public \
  -H "Authorization: Bearer $TOOON_API_KEY"
レスポンス
{
  "data": {
    "publicHandle": "taro",
    "pageId": "clx8k2m0a0001",
    "publicUrl": "https://tooon.app/…"
  }
}
PATCH/v1/connect/members/{externalId}/business-card

会員名刺の下書きを保存する

公開には別の明示操作が必要です。発行元の表示・URL・持ち主は会員側から変更できません。

パスの値

  • externalIdstring必須

    200文字まで

送る項目JSON · 12項目

  • namestring | null

    表示する氏名。null ならメンバーの名前を使います

    80文字まで

  • jobTitlestring | null

    80文字まで

  • emailstring (email) | null

    320文字まで

  • phonestring | null

    64文字まで

  • biostring | null

    自己紹介

    5,000文字まで

  • imagestring | null

    顔写真のURL(https)

    2,048文字まで

  • linksobject[]

    公開するリンク。送ると、今のリンクをすべてこの並びに置き換えます

    20以下件

    中の項目 3
    • labelstring必須

      80文字まで

    • urlstring必須

      2,048文字まで

    • typeenum

      既定 website

      websitesocialemailphoneother
  • visibleFieldsenum[]

    名刺に表示する項目。name を含めないと公開できません

    1以上件

  • expectedVersioninteger必須

    1以上

返る項目data の中身 · 200

  • idstring
  • statusenum
    draftpublishedunpublishedarchived
  • namestring | null

    表示する氏名

  • jobTitlestring | null
  • departmentstring | null
  • emailstring | null
  • phonestring | null
  • biostring | null

    自己紹介

  • imagestring | null

    顔写真のURL

  • linksobject[]

    公開するリンク(並び順どおり)

    中の項目 3
    • labelstring
    • urlstring
    • typeenum
      websitesocialemailphoneother
  • visibleFieldsenum[]

    名刺に表示する項目。テンプレートが付いているときはテンプレートの設定が優先されます

  • pageIdstring

    公開URLの末尾

  • publicUrlstring | null

    公開ページのURL。status が published のときだけ開けます

  • publishedAtstring | null
  • createdAtstring
  • updatedAtstring
  • versioninteger
  • publicHandlestring | null

起こりうるエラー共通のエラー

  • 400invalid_request

    送った値が正しくない。message にどこが違うかが入ります

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

  • 404not_found

    対象がない、またはこのワークスペースのものではない

PATCH/v1/…/members/{externalId}/business-card
curl -X PATCH https://tooon.app/api/v1/connect/members/member-0001/business-card \
  -H "Authorization: Bearer $TOOON_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
  "expectedVersion": 1
}'
レスポンス
{
  "data": {
    "id": "clx8k2m0a0001",
    "status": "draft",
    "name": "山田 太郎",
    "jobTitle": "…",
    "department": "…",
    "email": "…",
    "phone": "…",
    "bio": "…",
    "image": "…",
    "links": [
      {
        "label": "…",
        "url": "https://tooon.app/…",
        "type": "website"
      }
    ],
    "visibleFields": [
      "name"
    ],
    "pageId": "clx8k2m0a0001",
    "publicUrl": "https://tooon.app/…",
    "publishedAt": "2026-11-01T09:00:00.000Z",
    "createdAt": "2026-11-01T09:00:00.000Z",
    "updatedAt": "2026-11-01T09:00:00.000Z",
    "version": 0,
    "publicHandle": "taro"
  }
}
POST/v1/connect/members/{externalId}/business-card/publish

本人が確認した版の名刺を公開する

パスの値

  • externalIdstring必須

    200文字まで

送る項目JSON · 1項目

  • expectedVersioninteger必須

    1以上

返る項目data の中身 · 200

  • idstring
  • statusenum
    draftpublishedunpublishedarchived
  • namestring | null

    表示する氏名

  • jobTitlestring | null
  • departmentstring | null
  • emailstring | null
  • phonestring | null
  • biostring | null

    自己紹介

  • imagestring | null

    顔写真のURL

  • linksobject[]

    公開するリンク(並び順どおり)

    中の項目 3
    • labelstring
    • urlstring
    • typeenum
      websitesocialemailphoneother
  • visibleFieldsenum[]

    名刺に表示する項目。テンプレートが付いているときはテンプレートの設定が優先されます

  • pageIdstring

    公開URLの末尾

  • publicUrlstring | null

    公開ページのURL。status が published のときだけ開けます

  • publishedAtstring | null
  • createdAtstring
  • updatedAtstring
  • versioninteger
  • publicHandlestring | null

起こりうるエラー共通のエラー

  • 400invalid_request

    送った値が正しくない。message にどこが違うかが入ります

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

  • 404not_found

    対象がない、またはこのワークスペースのものではない

POST/v1/…/members/{externalId}/business-card/publish
curl -X POST https://tooon.app/api/v1/connect/members/member-0001/business-card/publish \
  -H "Authorization: Bearer $TOOON_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
  "expectedVersion": 1
}'
レスポンス
{
  "data": {
    "id": "clx8k2m0a0001",
    "status": "draft",
    "name": "山田 太郎",
    "jobTitle": "…",
    "department": "…",
    "email": "…",
    "phone": "…",
    "bio": "…",
    "image": "…",
    "links": [
      {
        "label": "…",
        "url": "https://tooon.app/…",
        "type": "website"
      }
    ],
    "visibleFields": [
      "name"
    ],
    "pageId": "clx8k2m0a0001",
    "publicUrl": "https://tooon.app/…",
    "publishedAt": "2026-11-01T09:00:00.000Z",
    "createdAt": "2026-11-01T09:00:00.000Z",
    "updatedAt": "2026-11-01T09:00:00.000Z",
    "version": 0,
    "publicHandle": "taro"
  }
}
POST/v1/connect/members/{externalId}/business-card/unpublish

名刺の公開を停止する

パスの値

  • externalIdstring必須

    200文字まで

送る項目JSON · 1項目

  • expectedVersioninteger必須

    1以上

返る項目data の中身 · 200

  • idstring
  • statusenum
    draftpublishedunpublishedarchived
  • namestring | null

    表示する氏名

  • jobTitlestring | null
  • departmentstring | null
  • emailstring | null
  • phonestring | null
  • biostring | null

    自己紹介

  • imagestring | null

    顔写真のURL

  • linksobject[]

    公開するリンク(並び順どおり)

    中の項目 3
    • labelstring
    • urlstring
    • typeenum
      websitesocialemailphoneother
  • visibleFieldsenum[]

    名刺に表示する項目。テンプレートが付いているときはテンプレートの設定が優先されます

  • pageIdstring

    公開URLの末尾

  • publicUrlstring | null

    公開ページのURL。status が published のときだけ開けます

  • publishedAtstring | null
  • createdAtstring
  • updatedAtstring
  • versioninteger
  • publicHandlestring | null

起こりうるエラー共通のエラー

  • 400invalid_request

    送った値が正しくない。message にどこが違うかが入ります

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

  • 404not_found

    対象がない、またはこのワークスペースのものではない

POST/v1/…/members/{externalId}/business-card/unpublish
curl -X POST https://tooon.app/api/v1/connect/members/member-0001/business-card/unpublish \
  -H "Authorization: Bearer $TOOON_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
  "expectedVersion": 1
}'
レスポンス
{
  "data": {
    "id": "clx8k2m0a0001",
    "status": "draft",
    "name": "山田 太郎",
    "jobTitle": "…",
    "department": "…",
    "email": "…",
    "phone": "…",
    "bio": "…",
    "image": "…",
    "links": [
      {
        "label": "…",
        "url": "https://tooon.app/…",
        "type": "website"
      }
    ],
    "visibleFields": [
      "name"
    ],
    "pageId": "clx8k2m0a0001",
    "publicUrl": "https://tooon.app/…",
    "publishedAt": "2026-11-01T09:00:00.000Z",
    "createdAt": "2026-11-01T09:00:00.000Z",
    "updatedAt": "2026-11-01T09:00:00.000Z",
    "version": 0,
    "publicHandle": "taro"
  }
}